/* Base styles for all screen sizes */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500&family=Ubuntu:wght@400;500;700&display=swap");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family: "Poppins", sans-serif;
  background-color: black;
  color: white;
}

.section {
  padding: 40px 0;
}

header {
  background-color: red;
}

.container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  
  max-width: 90%;
  margin: 0 auto;
}

.content h1,
.content h2 {
  font-size: 1.5rem;
}

.content h2 {
  font-size: 3rem;
}

.content p {
  font-size: 0.9rem;
}

.logo {
  order: 1;
}

.logo img {
  width: 80%;
  max-width: 80px;
  display: block;
  object-fit: cover;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.navbar nav {
  display: flex;
  order: 2;
  align-items: center;
}

.navbar nav ul {
  list-style-type: none;
  margin: 0;
  padding-left: 15px;
  display: flex;
}

.navbar nav ul li {
  margin-left: 20px;
}

.navbar nav ul li:first-child {
  margin-left: 0;
}

.navbar nav ul li a {
  text-decoration: none;
  color: white;
  transition: color 0.3s ease;
}

.navbar nav ul li a:hover {
  color: black;
}

.btn {
  cursor: pointer;
  display: none;
  order: 3;
}

.video_container {
  width: 100%;
  height: 400px;
  overflow: hidden;
}

.video_container video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.social_icons {
  display: flex;
  justify-content: space-between;
  width: 80%;
  font-size: 2rem;
  cursor: pointer;
  margin-top: 1rem;
  margin-bottom: 1rem;
  padding-left: 15px;
  transition: all 0.3s ease-in-out;
}

.social_icons i {
  transition: color 0.3s ease-in-out;
}

.social_icons i:hover {
  color: red;
}

.form input[type="text"],
.form input[type="email"] {
  margin-bottom: 10px;
}

input[type="text"],
input[type="email"] {
  background-color: red;
  border: 1px solid white;
  height: 30px;
  width: 40%;
  text-align: center;
  font-weight: bold;
  transition: background-color 0.3s, border-color 0.3s;
  padding-left: 0px;
}

input[type="text"]::placeholder,
input[type="email"]::placeholder {
  font-weight: bold;
  color: black;
  text-align: center;
}

input[type="text"]:focus,
input[type="email"]:focus {
  background-color: white;
  border-color: red;
}

input[type="text"]:focus::placeholder,
input[type="email"]:focus::placeholder {
  color: transparent;
}

.form div {
  padding-left: 50px;
}

.button_container {
  padding-right: 20%;
}

.tryButton {
  display: block;
  margin: 2rem auto;
  width: fit-content;
  padding: 10px 20px;
  cursor: pointer;
  font-size: 1rem;
  border-radius: 4px;
  border: 1px solid #ddd;
  background: inherit;
  color: #fff;
  transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out;
}

.tryButton:hover {
  background-color: red;
  color: black;
}

.ra-list {
  list-style-type: none;
  padding-left: 20px;
}

.ra-list li::before {
  content: "•";
  color: red;
  margin-right: 5px;
}

.red-divider {
  border-top: 0.5px solid red;
  margin-top: 10px;
  margin-bottom: 10px;
  padding-left: 10px;
  padding-right: 10px;
  width: 100%;
}

h3 {
  padding-left: 18.5%;
}

.footer {
  color: white;
  text-align: center;
}

.footer p {
  margin: 0;
}

.footer .container {
  padding-left: 18%;
}
.benefits {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.benefit {
  width: 40%;
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 5px;
  margin: 10px;
  overflow: hidden;
  transition: border-color 0.3s ease-in-out, color 0.3s ease-in-out;
}

.benefit h4 {
  margin-bottom: 10px;
  color: white;
}

.benefit:hover {
  border-color: red;
  color: red;
}

.benefit.customized {
  width: 100%;
  margin-left: 3%;
  margin-right: 50%;
}

.benefit.efficient {
  width: 45%;
  margin-left: 2%;
  margin-right: 0%;
}

.benefit.Management {
  width: 100%;
  margin-left: 3%;
  margin-right: 50%;
  margin-top: 10px;
}

.benefit.Real-Time {
  width: 45%;
  margin-left: 2%;
  margin-right: 0%;
}

.benefit.Security {
  width: 100%;
  margin-left: 3%;
  margin-right: 50%;
}

/* Motivations */

.motivations {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  padding-left: 18%;
  padding-right: 18%;
}

.motivation {
  width: 50%; /* Adjusted to occupy full width */
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 5px;
  margin: 10px 0;
  overflow: hidden;
  transition: border-color 0.3s ease-in-out, color 0.3s ease-in-out;
}

.motivation h3 {
  padding-left: 0px;
  color: white;
}

.motivation:hover {
  border-color: red;
  color: red;
}

#missionBox {
  width: 50%;
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 5px;
  margin: 10px;
  overflow: hidden;
  transition: border-color 0.3s ease-in-out, color 0.3s ease-in-out;
}

#visionBox {
  width: 50%;
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 5px;
  margin: 10px;
  overflow: hidden;
  transition: border-color 0.3s ease-in-out, color 0.3s ease-in-out;
}

.data-link {
  color: white;
  font-size: 20px;
  text-decoration: none;
}

.data-mention {
  display: flex;
  flex-direction: column; /* Change to column for small screens */
  padding-left: 18%;
  padding-right: 18%;
}

.data-mention {
  width: 100%; /* Adjusted to occupy full width */
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 5px;
  margin: 10px;
  overflow: hidden;
  transition: border-color 0.3s ease-in-out, color 0.3s ease-in-out;
}

.data-mention:hover {
  border-color: red;
  color: red;
}

@media (max-width: 768px) {
  .benefit {
    width: calc(50% - 20px);
  }

  .tryButton {
    font-size: 0.7rem;
    padding: 6px 12px;
  }

  .social_icons {
    justify-content: space-around;
    padding-bottom: 0px;
  }
}

@media (max-width: 480px) {
  .logo {
    display: none;
  }

  .tryButton {
    font-size: 0.6rem;
    padding: 4px 8px;
  }

  .social_icons {
    font-size: 1rem;
  }

  .video_container {
    width: 100%;
    height: auto;
    order: 3;
    margin-top: 20px;
  }

  .content {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .footer {
    text-align: center;
  }

  .benefit {
    width: 100%;
  }

  /* Added styles for better responsiveness on small screens */
  .container {
    flex-direction: column;
    align-items: center;
  }

  .navbar {
    flex-direction: column;
  }

  .navbar nav {
    order: 1;
    margin-top: 10px;
  }

  .logo {
    order: 2;
    margin-top: 10px;
  }

  .benefits,
  .motivations {
    flex-direction: column;
  }

  .benefit,
  .motivation {
    width: 100%;
  }

  h3 {
    padding-left: 0;
    text-align: center;
  }
}
